Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::Roughtime::Link Class Referencefinal

`#include <roughtime.h>`

## Public Member Functions
| Link (const std::vector< uint8_t > &response, const Ed25519_PublicKey &public_key, const Nonce &nonce_or_blind)
const Nonce & | nonce_or_blind () const
Nonce & | nonce_or_blind ()
const Ed25519_PublicKey & | public_key () const
const std::vector< uint8_t > & | response () const

## Detailed Description

Definition at line 88 of file roughtime.h.

## Constructor & Destructor Documentation

Botan::Roughtime::Link::Link | ( | const std::vector< uint8_t > & | response,
|  | const Ed25519_PublicKey & | public_key,
|  | const Nonce & | nonce_or_blind
| ) |  |
| inline

Definition at line 91 of file roughtime.h.

94 : m_response{response}
95 , m_public_key{public_key}
96 , m_nonce_or_blind{nonce_or_blind}
97 {}
Botan::Roughtime::Link::nonce_or_blind
const Nonce & nonce_or_blind() const
Definition: roughtime.h:100
Botan::Roughtime::Link::public_key
const Ed25519_PublicKey & public_key() const
Definition: roughtime.h:99
Botan::Roughtime::Link::response
const std::vector< uint8_t > & response() const
Definition: roughtime.h:98

## Member Function Documentation

const Nonce& Botan::Roughtime::Link::nonce_or_blind | ( |  | ) | const
| inline

Definition at line 100 of file roughtime.h.

Referenced by Botan::Roughtime::Chain::append().

100 { return m_nonce_or_blind; }

Nonce& Botan::Roughtime::Link::nonce_or_blind | ( |  | ) |
| inline

Definition at line 101 of file roughtime.h.

101 { return m_nonce_or_blind; }

const Ed25519_PublicKey& Botan::Roughtime::Link::public_key | ( |  | ) | const
| inline

Definition at line 99 of file roughtime.h.

99 { return m_public_key; }

const std::vector<uint8_t>& Botan::Roughtime::Link::response | ( |  | ) | const
| inline

Definition at line 98 of file roughtime.h.

98 { return m_response; }

The documentation for this class was generated from the following file:

- src/lib/misc/roughtime/roughtime.h